/*
 * URL Shortener API
 * This API is responsible of authetication and the creation, modification and deletion of uris and hooks.
 *
 * OpenAPI spec version: 0.2.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.9
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD.
    define(['expect.js', '../../src/index'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    factory(require('expect.js'), require('../../src/index'));
  } else {
    // Browser globals (root is window)
    factory(root.expect, root.UrlShortenerApi);
  }
}(this, function(expect, UrlShortenerApi) {
  'use strict';

  var instance;

  beforeEach(function() {
    instance = new UrlShortenerApi.UriApi();
  });

  describe('(package)', function() {
    describe('UriApi', function() {
      describe('activateURI', function() {
        it('should call activateURI successfully', function(done) {
          // TODO: uncomment, update parameter values for activateURI call and complete the assertions
          /*
          var uriId = "uriId_example";

          instance.activateURI(uriId, function(error, data, response) {
            if (error) {
              done(error);
              return;
            }
            // TODO: update response assertions
            expect(data).to.be.a(UrlShortenerApi.URI);
            expect(data.uriId).to.be.a('string');
            expect(data.uriId).to.be("");
            expect(data.userId).to.be.a('number');
            expect(data.userId).to.be("0");
            expect(data.realURI).to.be.a('string');
            expect(data.realURI).to.be("");
            expect(data.shortURI).to.be.a('string');
            expect(data.shortURI).to.be("");
            expect(data.activated).to.be.a('boolean');
            expect(data.activated).to.be(false);
            expect(data.reachable).to.be.a('boolean');
            expect(data.reachable).to.be(false);
            expect(data.safe).to.be.a('boolean');
            expect(data.safe).to.be(false);

            done();
          });
          */
          // TODO: uncomment and complete method invocation above, then delete this line and the next:
          done();
        });
      });
      describe('addURI', function() {
        it('should call addURI successfully', function(done) {
          // TODO: uncomment, update parameter values for addURI call and complete the assertions
          /*
          var body = new UrlShortenerApi.URIRequest();
          body.realURI = "";

          instance.addURI(body, function(error, data, response) {
            if (error) {
              done(error);
              return;
            }
            // TODO: update response assertions
            expect(data).to.be.a(UrlShortenerApi.URI);
            expect(data.uriId).to.be.a('string');
            expect(data.uriId).to.be("");
            expect(data.userId).to.be.a('number');
            expect(data.userId).to.be("0");
            expect(data.realURI).to.be.a('string');
            expect(data.realURI).to.be("");
            expect(data.shortURI).to.be.a('string');
            expect(data.shortURI).to.be("");
            expect(data.activated).to.be.a('boolean');
            expect(data.activated).to.be(false);
            expect(data.reachable).to.be.a('boolean');
            expect(data.reachable).to.be(false);
            expect(data.safe).to.be.a('boolean');
            expect(data.safe).to.be(false);

            done();
          });
          */
          // TODO: uncomment and complete method invocation above, then delete this line and the next:
          done();
        });
      });
      describe('deactivateURI', function() {
        it('should call deactivateURI successfully', function(done) {
          // TODO: uncomment, update parameter values for deactivateURI call and complete the assertions
          /*
          var uriId = "uriId_example";

          instance.deactivateURI(uriId, function(error, data, response) {
            if (error) {
              done(error);
              return;
            }
            // TODO: update response assertions
            expect(data).to.be.a(UrlShortenerApi.URI);
            expect(data.uriId).to.be.a('string');
            expect(data.uriId).to.be("");
            expect(data.userId).to.be.a('number');
            expect(data.userId).to.be("0");
            expect(data.realURI).to.be.a('string');
            expect(data.realURI).to.be("");
            expect(data.shortURI).to.be.a('string');
            expect(data.shortURI).to.be("");
            expect(data.activated).to.be.a('boolean');
            expect(data.activated).to.be(false);
            expect(data.reachable).to.be.a('boolean');
            expect(data.reachable).to.be(false);
            expect(data.safe).to.be.a('boolean');
            expect(data.safe).to.be(false);

            done();
          });
          */
          // TODO: uncomment and complete method invocation above, then delete this line and the next:
          done();
        });
      });
      describe('deleteURI', function() {
        it('should call deleteURI successfully', function(done) {
          // TODO: uncomment, update parameter values for deleteURI call
          /*
          var uriId = "uriId_example";

          instance.deleteURI(uriId, function(error, data, response) {
            if (error) {
              done(error);
              return;
            }

            done();
          });
          */
          // TODO: uncomment and complete method invocation above, then delete this line and the next:
          done();
        });
      });
      describe('getHooksByURI', function() {
        it('should call getHooksByURI successfully', function(done) {
          // TODO: uncomment, update parameter values for getHooksByURI call and complete the assertions
          /*
          var uriId = "uriId_example";

          instance.getHooksByURI(uriId, function(error, data, response) {
            if (error) {
              done(error);
              return;
            }
            // TODO: update response assertions
            let dataCtr = data;
            expect(dataCtr).to.be.an(Array);
            expect(dataCtr).to.not.be.empty();
            for (let p in dataCtr) {
              let data = dataCtr[p];
              expect(data).to.be.a(UrlShortenerApi.Hook);
              expect(data.hookId).to.be.a('number');
              expect(data.hookId).to.be("0");
              expect(data.userId).to.be.a('number');
              expect(data.userId).to.be("0");
              expect(data.uriId).to.be.a('string');
              expect(data.uriId).to.be("");
              expect(data.active).to.be.a('boolean');
              expect(data.active).to.be(false);
              expect(data.trigger).to.be.a(UrlShortenerApi.HookTrigger);
                    expect(data.trigger.clicks).to.be.a('number');
                expect(data.trigger.clicks).to.be(0);
                expect(data.trigger.minutes).to.be.a('number');
                expect(data.trigger.minutes).to.be(0);
              {
                let dataCtr = data.actionsHTTP;
                expect(dataCtr).to.be.an(Array);
                expect(dataCtr).to.not.be.empty();
                for (let p in dataCtr) {
                  let data = dataCtr[p];
                  expect(data).to.be.a(UrlShortenerApi.HookActionHTTP);
                  expect(data.endpoint).to.be.a('string');
                  expect(data.endpoint).to.be("");
                  expect(data.verb).to.be.a('string');
                  expect(data.verb).to.be("");
                  expect(data.params).to.be.a('string');
                  expect(data.params).to.be("");
                  expect(data.body).to.be.a(Object);
                  expect(data.body).to.be();
                }
              }
              {
                let dataCtr = data.actionsMail;
                expect(dataCtr).to.be.an(Array);
                expect(dataCtr).to.not.be.empty();
                for (let p in dataCtr) {
                  let data = dataCtr[p];
                  expect(data).to.be.a(UrlShortenerApi.HookActionMail);
                  {
                    let dataCtr = data.destinations;
                    expect(dataCtr).to.be.an(Array);
                    expect(dataCtr).to.not.be.empty();
                    for (let p in dataCtr) {
                      let data = dataCtr[p];
                      expect(data).to.be.a('string');
                      expect(data).to.be("");
                    }
                  }
                  expect(data.subject).to.be.a('string');
                  expect(data.subject).to.be("");
                  expect(data.text).to.be.a('string');
                  expect(data.text).to.be("");
                }
              }
            }

            done();
          });
          */
          // TODO: uncomment and complete method invocation above, then delete this line and the next:
          done();
        });
      });
      describe('getURI', function() {
        it('should call getURI successfully', function(done) {
          // TODO: uncomment, update parameter values for getURI call and complete the assertions
          /*
          var uriId = "uriId_example";

          instance.getURI(uriId, function(error, data, response) {
            if (error) {
              done(error);
              return;
            }
            // TODO: update response assertions
            expect(data).to.be.a(UrlShortenerApi.URI);
            expect(data.uriId).to.be.a('string');
            expect(data.uriId).to.be("");
            expect(data.userId).to.be.a('number');
            expect(data.userId).to.be("0");
            expect(data.realURI).to.be.a('string');
            expect(data.realURI).to.be("");
            expect(data.shortURI).to.be.a('string');
            expect(data.shortURI).to.be("");
            expect(data.activated).to.be.a('boolean');
            expect(data.activated).to.be(false);
            expect(data.reachable).to.be.a('boolean');
            expect(data.reachable).to.be(false);
            expect(data.safe).to.be.a('boolean');
            expect(data.safe).to.be(false);

            done();
          });
          */
          // TODO: uncomment and complete method invocation above, then delete this line and the next:
          done();
        });
      });
      describe('getURIByUser', function() {
        it('should call getURIByUser successfully', function(done) {
          // TODO: uncomment, update parameter values for getURIByUser call and complete the assertions
          /*
          var userId = 789;

          instance.getURIByUser(userId, function(error, data, response) {
            if (error) {
              done(error);
              return;
            }
            // TODO: update response assertions
            let dataCtr = data;
            expect(dataCtr).to.be.an(Array);
            expect(dataCtr).to.not.be.empty();
            for (let p in dataCtr) {
              let data = dataCtr[p];
              expect(data).to.be.a(UrlShortenerApi.URI);
              expect(data.uriId).to.be.a('string');
              expect(data.uriId).to.be("");
              expect(data.userId).to.be.a('number');
              expect(data.userId).to.be("0");
              expect(data.realURI).to.be.a('string');
              expect(data.realURI).to.be("");
              expect(data.shortURI).to.be.a('string');
              expect(data.shortURI).to.be("");
              expect(data.activated).to.be.a('boolean');
              expect(data.activated).to.be(false);
              expect(data.reachable).to.be.a('boolean');
              expect(data.reachable).to.be(false);
              expect(data.safe).to.be.a('boolean');
              expect(data.safe).to.be(false);
            }

            done();
          });
          */
          // TODO: uncomment and complete method invocation above, then delete this line and the next:
          done();
        });
      });
    });
  });

}));
